### org.jfree.layouting.layouter.content.computed

# Class VariableToken

- `java.lang.Object`
- - `org.jfree.layouting.layouter.content.computed.ComputedToken`
  - - `org.jfree.layouting.layouter.content.computed.VariableToken`

Implemented Interfaces:
  ContentToken

`public class VariableToken`
`extends ComputedToken`

The variable token resolves the given 'string' reference.

Author:
  Thomas Morgner

  ## Constructor Summary

  `VariableToken(String variable)`

  ## Method Summary

  `String`

  `getVariable()`

## Constructor Details

### VariableToken

    public VariableToken(String variable)

## Method Details

### getVariable

    public String getVariable()